import * as React from 'react';

export interface CommonPreviewProps<F extends Partial<File> = Partial<File>> {
  file?: F;
  disabled?: boolean;
  enhanced?: boolean;
}

export type FilePreviewComponent<T extends CommonPreviewProps = CommonPreviewProps> = (props: T) => React.ReactNode;
